Name:		firejail
Version:	0.9.44.4
Release:	%mkrel 1
Summary:	Linux namepaces sandbox program
License:	GPLv2+
Group:		Development/Tools
Source0:	https://sourceforge.net/projects/firejail/files/%{name}/%{name}-%{version}.tar.xz
Source10:	%{name}.rpmlintrc
Patch0:		%{name}_mkuid.patch
URL:		https://firejail.wordpress.com/
Requires:	firetools


%description
Firejail  is  a  SUID sandbox program that reduces the risk of security
breaches by restricting the running environment of untrusted applications
using Linux namespaces. It includes a sandbox profile for Mozilla Firefox.

%prep
%setup -q
echo "// using default values" >> uids.h
echo "#define UID_MIN 1000" >> uids.h
echo "#define GID_MIN 1000" >> uids.h

%build
%configure 
%make

%install
rm -rf %{buildroot}
%make_install

%clean
rm -rf %{buildroot}

%post
chmod u+s /usr/bin/firejail

%files
%doc README COPYING RELNOTES
%{_bindir}/firejail
%{_bindir}/firemon
%{_bindir}/firecfg
%{_libdir}/%{name}/ftee
%{_libdir}/%{name}/faudit
%{_libdir}/%{name}/fshaper.sh
%{_libdir}/%{name}/firecfg.config
%{_libdir}/%{name}/libtrace.so
%{_libdir}/%{name}/libtracelog.so
%{_libdir}/%{name}/libconnect.so
%{_datarootdir}/bash-completion/completions/firejail
%{_datarootdir}/bash-completion/completions/firemon
%{_datarootdir}/bash-completion/completions/firecfg
%{_mandir}/man1/firejail.1.bz2
%{_mandir}/man1/firemon.1.bz2
%{_mandir}/man1/firecfg.1.bz2
%{_mandir}/man5/%{name}-login.5.bz2
%{_mandir}/man5/%{name}-profile.5.bz2
%config(noreplace) %{_sysconfdir}/%{name}


%changelog
* Sun Feb 19 2017 adrianomorselli <adrianomorselli> 0.9.44.4-1uplos2017
- imported from rosa
